<?php
require("chinese.php");

class MyPDF extends PDF_Chinese{
	var $title;
	var $height;
	var $ph;
	var $B;
	var $I;
	var $U;
	var $HREF;


	function MyPDF($orientation='P',$unit='mm',$format='A4')	{
		//Call parent constructor
		$this->PDF_Chinese($orientation,$unit,$format);
		//Initialization
		$this->B=0;
		$this->I=0;
		$this->U=0;
		$this->HREF='';
	}

	//Page header
	function Header(){
	    //Logo
	    //$this->Image('logo_pb.png',10,8,33);
	    $this->Image('images/pdfbg.jpg',0,0,210,297);
	    //Arial bold 15
	    $this->SetFont('Big5-hw','',10);
	    $this->SetTextColor(47,126,40);
	    //Move to the right
	    //$this->Cell(80);
	    //Title
	    $this->Cell(0,3,$this->title,0,0,'R');

	    $this->SetDrawColor(45,86,133);
	    $this->line(20, 29, 190, 29);

	    //Line break
	    $this->Ln(10);
	}

	//Page footer
	function Footer(){
	    //Position at 1.5 cm from bottom
		$this->SetDrawColor(45,86,133);
	    $this->line(20, 270, 190, 270);
	    $this->SetY(-20);
	    //Arial italic 8
	    $this->SetFont('Big5-hw','',8);
		$this->SetTextColor(0,0,0);
	    //Page number
	    $this->Cell(0,10,' '.$this->PageNo().' ',0,0,'C');
	}

	function WriteHTML($html)	{
		//HTML parser
		$html=str_replace("\n",' ',$html);
		$a=preg_split('/<(.*)>/U',$html,-1,PREG_SPLIT_DELIM_CAPTURE);
		foreach($a as $i=>$e)		{
			if($i%2==0)			{
				//Text
				if($this->HREF)
					$this->PutLink($this->HREF,$e);
				else
					$this->Write(5,$e);
			}	else	{
				//Tag
				if($e{0}=='/')
					$this->CloseTag(strtoupper(substr($e,1)));
				else
				{
					//Extract attributes
					$a2=explode(' ',$e);
					$tag=strtoupper(array_shift($a2));
					$attr=array();
					foreach($a2 as $v)
						if(ereg('^([^=]*)=["\']?([^"\']*)["\']?$',$v,$a3))
							$attr[strtoupper($a3[1])]=$a3[2];
					$this->OpenTag($tag,$attr);
				}
			}
		}
	}

	function OpenTag($tag,$attr)	{
		//Opening tag
		if($tag=='B' or $tag=='I' or $tag=='U')
			$this->SetStyle($tag,true);
		if($tag=='A')
			$this->HREF=$attr['HREF'];
		if($tag=='BR')
			$this->Ln(5);
	}

	function CloseTag($tag)	{
		//Closing tag
		if($tag=='B' or $tag=='I' or $tag=='U')
			$this->SetStyle($tag,false);
		if($tag=='A')
			$this->HREF='';
	}

	function SetStyle($tag,$enable)	{
		//Modify style and select corresponding font
		$this->$tag+=($enable ? 1 : -1);
		$style='';
		foreach(array('B','I','U') as $s)
			if($this->$s>0)
				$style.=$s;
		$this->SetFont('Big5-hw',$style);
	}

	function PutLink($URL,$txt)	{
		//Put a hyperlink
		$this->SetTextColor(0,0,255);
		$this->SetStyle('U',true);
		$this->Write(5,$txt,$URL);
		$this->SetStyle('U',false);
		$this->SetTextColor(0);
	}
}
?>
