CREATE TABLE `tadbook2` (
  `book_sn` smallint(5) unsigned NOT NULL auto_increment,
  `book_sort` smallint(6) NOT NULL default '0',
  `book_title` varchar(255) NOT NULL default '',
  `book_descript` text NOT NULL,
  `book_date` datetime NOT NULL default '0000-00-00 00:00:00',
  `book_image` mediumint(9) default NULL,
  `uid` mediumint(8) unsigned NOT NULL default '1',
  `author` varchar(255) NOT NULL default '',
  `author_email` varchar(255) NOT NULL default '',
  `author_homepage` varchar(255) NOT NULL default '',
  `count` int(10) unsigned NOT NULL default '0',
  `enable` enum('1','0') NOT NULL default '1',
  PRIMARY KEY  (`book_sn`),
  KEY `uid` (`uid`)
) TYPE=MyISAM;

CREATE TABLE `tadbook2_data` (
  `bdsn` int(10) unsigned NOT NULL auto_increment,
  `book_sn` smallint(6) unsigned NOT NULL default '0',
  `category` tinyint(3) unsigned NOT NULL default '0',
  `page` tinyint(3) unsigned NOT NULL default '0',
  `paragraph` tinyint(3) unsigned NOT NULL default '0',
  `sort` smallint(6) NOT NULL default '0',
  `title` varchar(255) NOT NULL default '',
  `bookdata` text NOT NULL,
  `add_date` datetime NOT NULL default '0000-00-00 00:00:00',
  `last_modify_date` datetime NOT NULL default '0000-00-00 00:00:00',
  `author` varchar(255) NOT NULL default '',
  `email` varchar(255) NOT NULL default '',
  `homepage` varchar(255) NOT NULL default '',
  `count` int(10) unsigned NOT NULL default '0',
  `enable` enum('1','0') NOT NULL default '1',
  PRIMARY KEY  (`bdsn`),
  KEY `category` (`category`,`page`,`paragraph`),
  KEY `book_sn` (`book_sn`)
) TYPE=MyISAM;

CREATE TABLE `tadbook2_image` (
  `FSN` mediumint(8) unsigned NOT NULL auto_increment,
  `filename` varchar(255) NOT NULL default '',
  `main_data` longblob NOT NULL,
  `description` text NOT NULL,
  `type` varchar(128) NOT NULL default '',
  `size` int(11) NOT NULL default '0',
  `date` datetime NOT NULL default '0000-00-00 00:00:00',
  `col_name` varchar(255) default NULL,
  `col_sn` mediumint(8) unsigned default '0',
  `enable` enum('1','0') NOT NULL default '1',
  PRIMARY KEY  (`FSN`),
  KEY `msg_id` (`col_sn`),
  FULLTEXT KEY `description` (`description`),
  FULLTEXT KEY `filename` (`filename`)
) TYPE=MyISAM;

CREATE TABLE `tadbook2_log` (
  `lsn` int(10) unsigned NOT NULL auto_increment,
  `uid` mediumint(8) unsigned NOT NULL default '0',
  `url` varchar(255) NOT NULL default '',
  `from_url` varchar(255) NOT NULL default '',
  `time` datetime default NULL,
  `ip` varchar(15) NOT NULL default '',
  `bdsn` mediumint(8) unsigned NOT NULL default '0',
  `book_sn` smallint(5) unsigned NOT NULL default '0',
  `txt` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`lsn`),
  KEY `uid` (`uid`),
  KEY `bdsn` (`bdsn`,`book_sn`)
) TYPE=MyISAM;


CREATE TABLE `tadbook2_mark` (
  `sn` smallint(5) unsigned NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `border` varchar(255) NOT NULL default '',
  `bgcolor` varchar(20) NOT NULL default '',
  `padding` tinyint(3) unsigned NOT NULL default '4',
  `tbl_style` text NOT NULL,
  `div_pic` varchar(255) NOT NULL default '',
  `div_pt` varchar(255) NOT NULL default '',
  `div_bc` varchar(20) NOT NULL default '',
  `div_pad` tinyint(4) unsigned NOT NULL default '0',
  `div_style` text NOT NULL,
  `enable` enum('1','0') NOT NULL default '1',
  `use_kind` varchar(10) NOT NULL default 'set',
  PRIMARY KEY  (`sn`)
) TYPE=MyISAM;



CREATE TABLE `tadbook2_slideshow` (
  `book_sn` smallint(5) unsigned NOT NULL default '0',
  `bdsn` mediumint(8) unsigned NOT NULL default '0',
  `content` text NOT NULL,
  `enable` enum('1','0') NOT NULL default '1',
  `author` varchar(255) NOT NULL default '',
  `date` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`bdsn`)
) TYPE=MyISAM;
